;
; SkoolKit control file for Manic Miner (Bug Byte version).
;
; Cavern descriptions based on reference material from Andrew Broad
; <http://webspace.webring.com/people/ja/andrewbroad/>.
;
; To build the HTML disassembly, create a z80 snapshot of Manic Miner named
; mm.z80, and run these commands from the top-level SkoolKit directory:
;   ./sna2skool.py -c examples/manic_miner.ctl mm.z80 > manic_miner.skool
;   ./skool2html.py examples/manic_miner.ref
;
b 32768 Cavern buffer
B 32768,512,16
b 33280 Miner Willy sprite data
D 33280 #UDGTABLE { #CALL:graphic(33280,willy0) | #CALL:graphic(33312,willy1) | #CALL:graphic(33344,willy2) | #CALL:graphic(33376,willy3) | #CALL:graphic(33408,willy4) | #CALL:graphic(33440,willy5) | #CALL:graphic(33472,willy6) | #CALL:graphic(33504,willy7) } TABLE#
B 33280,256,16
w 33536 Screen buffer address lookup table
W 33536,256,16
c 33792 The game has just loaded
b 33799 Current cavern number
b 33800 Movement lookup table
t 33816 'AIR'
b 33819 Score and high score
T 33819,4
T 33823,6 High score
T 33829,4
T 33833,6 Score
t 33839 'High Score 000000#SPACE(3)Score 000000'
t 33871 'GameOver'
g 33879 Game status buffer
b 33886 6031769
B 33886,16,2
b 33902 Title screen tune data
B 33902,286,16
b 34188 In-game tune data
B 34188,64,16
c 34252 Start
c 35388
c 35445
c 35515
c 35770
c 35805
c 36101
c 36111
c 36211
c 36266
c 36344
c 36469
c 36593
c 36707
c 36805
c 37098
c 37125
c 37173
c 37403
c 37434
c 37471
c 37503
c 37562
c 37579
c 37596
c 37675
c 37687
t 37708 Source code remnants
t 40192 Scrolling intro text
B 40240,1 #CHR169
T 40288
T 40336
T 40382
b 40448 Attribute data for the middle third of the title screen
B 40448,512,16
b 40960 Title screen graphic data
B 40960,4096,16
b 45056 Central Cavern
D 45056 #UDGTABLE { #CALL:cavern(45056) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 45056,512,16 Attributes
D 45568 The next 32 bytes contain the cavern name.
T 45568,32 Cavern name
D 45600 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG45601,0(background_0) | #UDG45610,66(floor_0) | #UDG45619,2(crumbling_floor_0) | #UDG45628,22(wall_0) | #UDG45637,4(conveyor_0) | #UDG45646,68(nasty1_0) | #UDG45655,5(nasty2_0) | #UDG45664,0(spare_0) } TABLE#
B 45600,9,9 Background
B 45609,9,9 Floor
B 45618,9,9 Crumbling floor
B 45627,9,9 Wall
B 45636,9,9 Conveyor
B 45645,9,9 Nasty 1
B 45654,9,9 Nasty 2
B 45663,9,9 Spare (unused)
D 45672 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 45672 Pixel y-coordinate * 2
B 45673 Sprite
B 45674 Direction
B 45675 Jump flag
B 45676 Coordinates
B 45678 Distance jumped
D 45679 The next 4 bytes define the direction, location and length of the conveyor.
B 45679 Conveyor direction (left), location (x=8, y=8) and length (20)
D 45683 The next byte specifies the border colour.
B 45683 Border colour
B 45684 Unused
D 45685 The next 25 bytes specify the colour and location of the items in the cavern.
B 45685,5 Item 1
B 45690,5 Item 2
B 45695,5 Item 3
B 45700,5 Item 4
B 45705,5 Item 5
B 45710
D 45711 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(45712,portal00,4,14) } TABLE#
B 45711,1 Attribute
B 45712,32,8 Graphic data
B 45744,4 Location (x=29, y=13)
D 45748 The next 8 bytes define the item graphic. #UDGTABLE { #UDG45748,3(item00) } TABLE#
B 45748,8 Item graphic data
D 45756 The next two bytes define the initial air supply in the cavern.
B 45756 Air
D 45758 The next 7 bytes define the horizontal guardian.
B 45758,7 Horizontal guardian
B 45765,1 Terminator
B 45766,26,16 Unused
D 45792 The next 32 bytes define the swordfish graphic that appears in The Final Barrier when the game is completed. #UDGTABLE { #CALL:graphic(45792,special0,4) } TABLE#
B 45792,32,16
D 45824 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(45824,central_cavern_guardian0,4) | #CALL:graphic(45856,central_cavern_guardian1,4) | #CALL:graphic(45888,central_cavern_guardian2,4) | #CALL:graphic(45920,central_cavern_guardian3,4) | #CALL:graphic(45952,central_cavern_guardian4,4) | #CALL:graphic(45984,central_cavern_guardian5,4) | #CALL:graphic(46016,central_cavern_guardian6,4) | #CALL:graphic(46048,central_cavern_guardian7,4) } TABLE#
B 45824,256,16
b 46080 The Cold Room
D 46080 #UDGTABLE { #CALL:cavern(46080) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 46080,512,16 Attributes
D 46592 The next 32 bytes contain the cavern name.
T 46592,32 Cavern name
D 46624 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG46625,8(background_1) | #UDG46634,75(floor_1) | #UDG46643,11(crumbling_floor_1) | #UDG46652,22(wall_1) | #UDG46661,14(conveyor_1) | #UDG46670,12(nasty1_1) | #UDG46679,13(nasty2_1) | #UDG46688,0(spare_1) } TABLE#
B 46624,9,9 Background
B 46633,9,9 Floor
B 46642,9,9 Crumbling floor
B 46651,9,9 Wall
B 46660,9,9 Conveyor
B 46669,9,9 Nasty 1 (unused)
B 46678,9,9 Nasty 2
B 46687,9,9 Spare (unused)
D 46696 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 46696 Pixel y-coordinate * 2
B 46697 Sprite
B 46698 Direction
B 46699 Jump flag
B 46700 Coordinates
B 46702 Distance jumped
D 46703 The next 4 bytes define the direction, location and length of the conveyor.
B 46703 Conveyor direction (right), location (x=3, y=8) and length (4)
D 46707 The next byte specifies the border colour.
B 46707 Border colour
B 46708 Unused
D 46709 The next 25 bytes specify the colour and location of the items in the cavern.
B 46709,5 Item 1
B 46714,5 Item 2
B 46719,5 Item 3
B 46724,5 Item 4
B 46729,5 Item 5
B 46734
D 46735 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(46736,portal01,4,83) } TABLE#
B 46735,1 Attribute
B 46736,32,8 Graphic data
B 46768,4 Location (x=29, y=13)
D 46772 The next 8 bytes define the item graphic. #UDGTABLE { #UDG46772,11(item01) } TABLE#
B 46772,8 Item graphic data
D 46780 The next two bytes define the initial air supply in the cavern.
B 46780 Air
D 46782 The next 14 bytes define the horizontal guardians.
B 46782,7 Horizontal guardian 1
B 46789,7 Horizontal guardian 2
B 46796,1 Terminator
B 46797,19,16 Unused
D 46816 The next 32 bytes define the plinth graphic that appears on the Game Over screen. #UDGTABLE { #CALL:graphic(46816,special1,4) } TABLE#
B 46816,32,16
D 46848 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(46848,the_cold_room_guardian0,4) | #CALL:graphic(46880,the_cold_room_guardian1,4) | #CALL:graphic(46912,the_cold_room_guardian2,4) | #CALL:graphic(46944,the_cold_room_guardian3,4) | #CALL:graphic(46976,the_cold_room_guardian4,4) | #CALL:graphic(47008,the_cold_room_guardian5,4) | #CALL:graphic(47040,the_cold_room_guardian6,4) | #CALL:graphic(47072,the_cold_room_guardian7,4) } TABLE#
B 46848,256,16
b 47104 The Menagerie
D 47104 #UDGTABLE { #CALL:cavern(47104) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 47104,512,16 Attributes
D 47616 The next 32 bytes contain the cavern name.
T 47616,32 Cavern name
D 47648 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG47649,0(background_2) | #UDG47658,69(floor_2) | #UDG47667,5(crumbling_floor_2) | #UDG47676,13(wall_2) | #UDG47685,2(conveyor_2) | #UDG47694,6(nasty1_2) | #UDG47703,67(nasty2_2) | #UDG47712,3(spare_2) } TABLE#
B 47648,9,9 Background
B 47657,9,9 Floor
B 47666,9,9 Crumbling floor
B 47675,9,9 Wall
B 47684,9,9 Conveyor
B 47693,9,9 Nasty 1 (unused)
B 47702,9,9 Nasty 2
B 47711,9,9 Spare
D 47720 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 47720 Pixel y-coordinate * 2
B 47721 Sprite
B 47722 Direction
B 47723 Jump flag
B 47724 Coordinates
B 47726 Distance jumped
D 47727 The next 4 bytes define the direction, location and length of the conveyor.
B 47727 Conveyor direction (left), location (x=6, y=8) and length (6)
D 47731 The next byte specifies the border colour.
B 47731 Border colour
B 47732 Unused
D 47733 The next 25 bytes specify the colour and location of the items in the cavern.
B 47733,5 Item 1
B 47738,5 Item 2
B 47743,5 Item 3
B 47748,5 Item 4
B 47753,5 Item 5
B 47758
D 47759 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(47760,portal02,4,14) } TABLE#
B 47759,1 Attribute
B 47760,32,8 Graphic data
B 47792,4 Location (x=29, y=11)
D 47796 The next 8 bytes define the item graphic. #UDGTABLE { #UDG47796,3(item02) } TABLE#
B 47796,8 Item graphic data
D 47804 The next two bytes define the initial air supply in the cavern.
B 47804 Air
D 47806 The next 21 bytes define the horizontal guardians.
B 47806,7 Horizontal guardian 1
B 47813,7 Horizontal guardian 2
B 47820,7 Horizontal guardian 3
B 47827,1 Terminator
B 47828,12,16 Unused
D 47840 The next 32 bytes define the boot graphic that appears on the Game Over screen. #UDGTABLE { #CALL:graphic(47840,special2,4) } TABLE#
B 47840,32,16
D 47872 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(47872,the_menagerie_guardian0,4) | #CALL:graphic(47904,the_menagerie_guardian1,4) | #CALL:graphic(47936,the_menagerie_guardian2,4) | #CALL:graphic(47968,the_menagerie_guardian3,4) | #CALL:graphic(48000,the_menagerie_guardian4,4) | #CALL:graphic(48032,the_menagerie_guardian5,4) | #CALL:graphic(48064,the_menagerie_guardian6,4) | #CALL:graphic(48096,the_menagerie_guardian7,4) } TABLE#
B 47872,256,16
b 48128 Abandoned Uranium Workings
D 48128 #UDGTABLE { #CALL:cavern(48128) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 48128,512,16 Attributes
D 48640 The next 32 bytes contain the cavern name.
T 48640,32 Cavern name
D 48672 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG48673,0(background_3) | #UDG48682,70(floor_3) | #UDG48691,6(crumbling_floor_3) | #UDG48700,41(wall_3) | #UDG48709,3(conveyor_3) | #UDG48718,4(nasty1_3) | #UDG48727,5(nasty2_3) | #UDG48736,0(spare_3) } TABLE#
B 48672,9,9 Background
B 48681,9,9 Floor
B 48690,9,9 Crumbling floor
B 48699,9,9 Wall
B 48708,9,9 Conveyor
B 48717,9,9 Nasty 1 (unused)
B 48726,9,9 Nasty 2
B 48735,9,9 Spare (unused)
D 48744 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 48744 Pixel y-coordinate * 2
B 48745 Sprite
B 48746 Direction
B 48747 Jump flag
B 48748 Coordinates
B 48750 Distance jumped
D 48751 The next 4 bytes define the direction, location and length of the conveyor.
B 48751 Conveyor direction (right), location (x=1, y=8) and length (3)
D 48755 The next byte specifies the border colour.
B 48755 Border colour
B 48756 Unused
D 48757 The next 25 bytes specify the colour and location of the items in the cavern.
B 48757,5 Item 1
B 48762,5 Item 2
B 48767,5 Item 3
B 48772,5 Item 4
B 48777,5 Item 5
B 48782
D 48783 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(48784,portal03,4,14) } TABLE#
B 48783,1 Attribute
B 48784,32,8 Graphic data
B 48816,4 Location (x=29, y=1)
D 48820 The next 8 bytes define the item graphic. #UDGTABLE { #UDG48820,3(item03) } TABLE#
B 48820,8 Item graphic data
D 48828 The next two bytes define the initial air supply in the cavern.
B 48828 Air
D 48830 The next 14 bytes define the horizontal guardians.
B 48830,7 Horizontal guardian 1
B 48837,7 Horizontal guardian 2
B 48844,1 Terminator
B 48845,16,16 Unused
D 48861 There are no vertical guardians in this room.
B 48861,1 Terminator
B 48862,34,16 Unused
D 48896 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(48896,abandoned_uranium_workings_guardian0,4) | #CALL:graphic(48928,abandoned_uranium_workings_guardian1,4) | #CALL:graphic(48960,abandoned_uranium_workings_guardian2,4) | #CALL:graphic(48992,abandoned_uranium_workings_guardian3,4) | #CALL:graphic(49024,abandoned_uranium_workings_guardian4,4) | #CALL:graphic(49056,abandoned_uranium_workings_guardian5,4) | #CALL:graphic(49088,abandoned_uranium_workings_guardian6,4) | #CALL:graphic(49120,abandoned_uranium_workings_guardian7,4) } TABLE#
B 48896,256,16
b 49152 Eugene's Lair
D 49152 #UDGTABLE { #CALL:cavern(49152) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 49152,512,16 Attributes
D 49664 The next 32 bytes contain the cavern name.
T 49664,32 Cavern name
D 49696 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG49697,16(background_4) | #UDG49706,21(floor_4) | #UDG49715,20(crumbling_floor_4) | #UDG49724,46(wall_4) | #UDG49733,86(conveyor_4) | #UDG49742,22(nasty1_4) | #UDG49751,19(nasty2_4) | #UDG49760,0(spare_4) } TABLE#
B 49696,9,9 Background
B 49705,9,9 Floor
B 49714,9,9 Crumbling floor
B 49723,9,9 Wall
B 49732,9,9 Conveyor
B 49741,9,9 Nasty 1
B 49750,9,9 Nasty 2
B 49759,9,9 Spare (unused)
D 49768 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 49768 Pixel y-coordinate * 2
B 49769 Sprite
B 49770 Direction
B 49771 Jump flag
B 49772 Coordinates
B 49774 Distance jumped
D 49775 The next 4 bytes define the direction, location and length of the conveyor.
B 49775 Conveyor direction (left), location (x=18, y=8) and length (10)
D 49779 The next byte specifies the border colour.
B 49779 Border colour
B 49780 Unused
D 49781 The next 25 bytes specify the colour and location of the items in the cavern.
B 49781,5 Item 1
B 49786,5 Item 2
B 49791,5 Item 3
B 49796,5 Item 4
B 49801,5 Item 5
B 49806
D 49807 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(49808,portal04,4,87) } TABLE#
B 49807,1 Attribute
B 49808,32,8 Graphic data
B 49840,4 Location (x=15, y=13)
D 49844 The next 8 bytes define the item graphic. #UDGTABLE { #UDG49844,19(item04) } TABLE#
B 49844,8 Item graphic data
D 49852 The next two bytes define the initial air supply in the cavern.
B 49852 Air
D 49854 The next 14 bytes define the horizontal guardians.
B 49854,7 Horizontal guardian 1
B 49861,7 Horizontal guardian 2
B 49868,1 Terminator
B 49869,19,16 Unused
D 49888 The next 32 bytes define the Eugene graphic. #UDGTABLE { #CALL:graphic(49888,special4,4) } TABLE#
B 49888,32,16
D 49920 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(49920,eugene's_lair_guardian0,4) | #CALL:graphic(49952,eugene's_lair_guardian1,4) | #CALL:graphic(49984,eugene's_lair_guardian2,4) | #CALL:graphic(50016,eugene's_lair_guardian3,4) | #CALL:graphic(50048,eugene's_lair_guardian4,4) | #CALL:graphic(50080,eugene's_lair_guardian5,4) | #CALL:graphic(50112,eugene's_lair_guardian6,4) | #CALL:graphic(50144,eugene's_lair_guardian7,4) } TABLE#
B 49920,256,16
b 50176 Processing Plant
D 50176 #UDGTABLE { #CALL:cavern(50176) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 50176,512,16 Attributes
D 50688 The next 32 bytes contain the cavern name.
T 50688,32 Cavern name
D 50720 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG50721,0(background_5) | #UDG50730,68(floor_5) | #UDG50739,4(crumbling_floor_5) | #UDG50748,22(wall_5) | #UDG50757,5(conveyor_5) | #UDG50766,67(nasty1_5) | #UDG50775,6(nasty2_5) | #UDG50784,0(spare_5) } TABLE#
B 50720,9,9 Background
B 50729,9,9 Floor
B 50738,9,9 Crumbling floor (unused)
B 50747,9,9 Wall
B 50756,9,9 Conveyor
B 50765,9,9 Nasty 1
B 50774,9,9 Nasty 2
B 50783,9,9 Spare (unused)
D 50792 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 50792 Pixel y-coordinate * 2
B 50793 Sprite
B 50794 Direction
B 50795 Jump flag
B 50796 Coordinates
B 50798 Distance jumped
D 50799 The next 4 bytes define the direction, location and length of the conveyor.
B 50799 Conveyor direction (left), location (x=3, y=8) and length (4)
D 50803 The next byte specifies the border colour.
B 50803 Border colour
B 50804 Unused
D 50805 The next 25 bytes specify the colour and location of the items in the cavern.
B 50805,5 Item 1
B 50810,5 Item 2
B 50815,5 Item 3
B 50820,5 Item 4
B 50825,5 Item 5
B 50830
D 50831 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(50832,portal05,4,14) } TABLE#
B 50831,1 Attribute
B 50832,32,8 Graphic data
B 50864,4 Location (x=29, y=0)
D 50868 The next 8 bytes define the item graphic. #UDGTABLE { #UDG50868,3(item05) } TABLE#
B 50868,8 Item graphic data
D 50876 The next two bytes define the initial air supply in the cavern.
B 50876 Air
D 50878 The next 28 bytes define the horizontal guardians.
B 50878,7 Horizontal guardian 1
B 50885,7 Horizontal guardian 2
B 50892,7 Horizontal guardian 3
B 50899,7 Horizontal guardian 4
B 50906,3,16 Unused
D 50909 There are no vertical guardians in this room.
B 50909,1 Terminator
B 50910,34,16 Unused
D 50944 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(50944,processing_plant_guardian0,4) | #CALL:graphic(50976,processing_plant_guardian1,4) | #CALL:graphic(51008,processing_plant_guardian2,4) | #CALL:graphic(51040,processing_plant_guardian3,4) | #CALL:graphic(51072,processing_plant_guardian4,4) | #CALL:graphic(51104,processing_plant_guardian5,4) | #CALL:graphic(51136,processing_plant_guardian6,4) | #CALL:graphic(51168,processing_plant_guardian7,4) } TABLE#
B 50944,256,16
b 51200 The Vat
D 51200 #UDGTABLE { #CALL:cavern(51200) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 51200,512,16 Attributes
D 51712 The next 32 bytes contain the cavern name.
T 51712,32 Cavern name
D 51744 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG51745,0(background_6) | #UDG51754,70(floor_6) | #UDG51763,2(crumbling_floor_6) | #UDG51772,77(wall_6) | #UDG51781,4(conveyor_6) | #UDG51790,21(nasty1_6) | #UDG51799,22(nasty2_6) | #UDG51808,0(spare_6) } TABLE#
B 51744,9,9 Background
B 51753,9,9 Floor
B 51762,9,9 Crumbling floor
B 51771,9,9 Wall
B 51780,9,9 Conveyor
B 51789,9,9 Nasty 1 (unused)
B 51798,9,9 Nasty 2
B 51807,9,9 Spare (unused)
D 51816 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 51816 Pixel y-coordinate * 2
B 51817 Sprite
B 51818 Direction
B 51819 Jump flag
B 51820 Coordinates
B 51822 Distance jumped
D 51823 The next 4 bytes define the direction, location and length of the conveyor.
B 51823 Conveyor direction (left), location (x=7, y=0) and length (5)
D 51827 The next byte specifies the border colour.
B 51827 Border colour
B 51828 Unused
D 51829 The next 25 bytes specify the colour and location of the items in the cavern.
B 51829,5 Item 1
B 51834,5 Item 2
B 51839,5 Item 3
B 51844,5 Item 4
B 51849,5 Item 5
B 51854
D 51855 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(51856,portal06,4,11) } TABLE#
B 51855,1 Attribute
B 51856,32,8 Graphic data
B 51888,4 Location (x=15, y=13)
D 51892 The next 8 bytes define the item graphic. #UDGTABLE { #UDG51892,19(item06) } TABLE#
B 51892,8 Item graphic data
D 51900 The next two bytes define the initial air supply in the cavern.
B 51900 Air
D 51902 The next 21 bytes define the horizontal guardians.
B 51902,7 Horizontal guardian 1
B 51909,7 Horizontal guardian 2
B 51916,7 Horizontal guardian 3
B 51923,1 Terminator
B 51924,9,16 Unused
D 51933 There are no vertical guardians in this room.
B 51933,1 Terminator
B 51934,34,16 Unused
D 51968 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(51968,the_vat_guardian0,4) | #CALL:graphic(52000,the_vat_guardian1,4) | #CALL:graphic(52032,the_vat_guardian2,4) | #CALL:graphic(52064,the_vat_guardian3,4) | #CALL:graphic(52096,the_vat_guardian4,4) | #CALL:graphic(52128,the_vat_guardian5,4) | #CALL:graphic(52160,the_vat_guardian6,4) | #CALL:graphic(52192,the_vat_guardian7,4) } TABLE#
B 51968,256,16
b 52224 Miner Willy meets the Kong Beast
D 52224 #UDGTABLE { #CALL:cavern(52224) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 52224,512,16 Attributes
D 52736 The next 32 bytes contain the cavern name.
T 52736,32 Cavern name
D 52768 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG52769,0(background_7) | #UDG52778,66(floor_7) | #UDG52787,2(crumbling_floor_7) | #UDG52796,114(wall_7) | #UDG52805,68(conveyor_7) | #UDG52814,4(nasty1_7) | #UDG52823,5(nasty2_7) | #UDG52832,6(spare_7) } TABLE#
B 52768,9,9 Background
B 52777,9,9 Floor
B 52786,9,9 Crumbling floor (unused)
B 52795,9,9 Wall
B 52804,9,9 Conveyor
B 52813,9,9 Nasty 1
B 52822,9,9 Nasty 2
B 52831,9,9 Spare
D 52840 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 52840 Pixel y-coordinate * 2
B 52841 Sprite
B 52842 Direction
B 52843 Jump flag
B 52844 Coordinates
B 52846 Distance jumped
D 52847 The next 4 bytes define the direction, location and length of the conveyor.
B 52847 Conveyor direction (right), location (x=11, y=8) and length (3)
D 52851 The next byte specifies the border colour.
B 52851 Border colour
B 52852 Unused
D 52853 The next 25 bytes specify the colour and location of the items in the cavern.
B 52853,5 Item 1
B 52858,5 Item 2
B 52863,5 Item 3
B 52868,5 Item 4
B 52873,5 Item 5 (unused)
B 52878
D 52879 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(52880,portal07,4,14) } TABLE#
B 52879,1 Attribute
B 52880,32,8 Graphic data
B 52912,4 Location (x=15, y=13)
D 52916 The next 8 bytes define the item graphic. #UDGTABLE { #UDG52916,3(item07) } TABLE#
B 52916,8 Item graphic data
D 52924 The next two bytes define the initial air supply in the cavern.
B 52924 Air
D 52926 The next 28 bytes define the horizontal guardians.
B 52926,7 Horizontal guardian 1
B 52933,7 Horizontal guardian 2
B 52940,7 Horizontal guardian 3 (unused)
B 52947,7 Horizontal guardian 4
B 52954,3,16 Unused
D 52957 There are no vertical guardians in this room.
B 52957,1 Terminator
B 52958,34,16 Unused
D 52992 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(52992,miner_willy_meets_the_kong_beast_guardian0,4) | #CALL:graphic(53024,miner_willy_meets_the_kong_beast_guardian1,4) | #CALL:graphic(53056,miner_willy_meets_the_kong_beast_guardian2,4) | #CALL:graphic(53088,miner_willy_meets_the_kong_beast_guardian3,4) | #CALL:graphic(53120,miner_willy_meets_the_kong_beast_guardian4,4) | #CALL:graphic(53152,miner_willy_meets_the_kong_beast_guardian5,4) | #CALL:graphic(53184,miner_willy_meets_the_kong_beast_guardian6,4) | #CALL:graphic(53216,miner_willy_meets_the_kong_beast_guardian7,4) } TABLE#
B 52992,256,16
b 53248 Wacky Amoebatrons
D 53248 #UDGTABLE { #CALL:cavern(53248) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 53248,512,16 Attributes
D 53760 The next 32 bytes contain the cavern name.
T 53760,32 Cavern name
D 53792 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG53793,0(background_8) | #UDG53802,6(floor_8) | #UDG53811,66(crumbling_floor_8) | #UDG53820,22(wall_8) | #UDG53829,4(conveyor_8) | #UDG53838,68(nasty1_8) | #UDG53847,5(nasty2_8) | #UDG53856,0(spare_8) } TABLE#
B 53792,9,9 Background
B 53801,9,9 Floor
B 53810,9,9 Crumbling floor (unused)
B 53819,9,9 Wall
B 53828,9,9 Conveyor
B 53837,9,9 Nasty 1 (unused)
B 53846,9,9 Nasty 2 (unused)
B 53855,9,9 Spare (unused)
D 53864 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 53864 Pixel y-coordinate * 2
B 53865 Sprite
B 53866 Direction
B 53867 Jump flag
B 53868 Coordinates
B 53870 Distance jumped
D 53871 The next 4 bytes define the direction, location and length of the conveyor.
B 53871 Conveyor direction (right), location (x=12, y=8) and length (8)
D 53875 The next byte specifies the border colour.
B 53875 Border colour
B 53876 Unused
D 53877 The next 25 bytes specify the colour and location of the items in the cavern.
B 53877,5 Item 1
B 53882,5 Item 2 (unused)
B 53887,5 Item 3 (unused)
B 53892,5 Item 4 (unused)
B 53897,5 Item 5 (unused)
B 53902
D 53903 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(53904,portal08,4,14) } TABLE#
B 53903,1 Attribute
B 53904,32,8 Graphic data
B 53936,4 Location (x=1, y=0)
D 53940 The next 8 bytes define the item graphic. #UDGTABLE { #UDG53940,3(item08) } TABLE#
B 53940,8 Item graphic data
D 53948 The next two bytes define the initial air supply in the cavern.
B 53948 Air
D 53950 The next 28 bytes define the horizontal guardians.
B 53950,7 Horizontal guardian 1
B 53957,7 Horizontal guardian 2
B 53964,7 Horizontal guardian 3 (unused)
B 53971,7 Horizontal guardian 4 (unused)
B 53978,3,16 Unused
D 53981 The next 28 bytes define the vertical guardians.
B 53981,7 Vertical guardian 1
B 53988,7 Vertical guardian 2
B 53995,7 Vertical guardian 3
B 54002,7 Vertical guardian 4
B 54009,7,16 Unused
D 54016 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(54016,wacky_amoebatrons_guardian0,4) | #CALL:graphic(54048,wacky_amoebatrons_guardian1,4) | #CALL:graphic(54080,wacky_amoebatrons_guardian2,4) | #CALL:graphic(54112,wacky_amoebatrons_guardian3,4) | #CALL:graphic(54144,wacky_amoebatrons_guardian4,4) | #CALL:graphic(54176,wacky_amoebatrons_guardian5,4) | #CALL:graphic(54208,wacky_amoebatrons_guardian6,4) | #CALL:graphic(54240,wacky_amoebatrons_guardian7,4) } TABLE#
B 54016,256,16
b 54272 The Endorian Forest
D 54272 #UDGTABLE { #CALL:cavern(54272) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 54272,512,16 Attributes
D 54784 The next 32 bytes contain the cavern name.
T 54784,32 Cavern name
D 54816 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG54817,0(background_9) | #UDG54826,68(floor_9) | #UDG54835,2(crumbling_floor_9) | #UDG54844,22(wall_9) | #UDG54853,67(conveyor_9) | #UDG54862,69(nasty1_9) | #UDG54871,4(nasty2_9) | #UDG54880,5(spare_9) } TABLE#
B 54816,9,9 Background
B 54825,9,9 Floor
B 54834,9,9 Crumbling floor
B 54843,9,9 Wall
B 54852,9,9 Conveyor (unused)
B 54861,9,9 Nasty 1 (unused)
B 54870,9,9 Nasty 2
B 54879,9,9 Spare
D 54888 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 54888 Pixel y-coordinate * 2
B 54889 Sprite
B 54890 Direction
B 54891 Jump flag
B 54892 Coordinates
B 54894 Distance jumped
D 54895 The next 4 bytes define the direction, location and length of the conveyor.
B 54895 Conveyor direction (left), location (x=19, y=0) and length (1)
D 54899 The next byte specifies the border colour.
B 54899 Border colour
B 54900 Unused
D 54901 The next 25 bytes specify the colour and location of the items in the cavern.
B 54901,5 Item 1
B 54906,5 Item 2
B 54911,5 Item 3
B 54916,5 Item 4
B 54921,5 Item 5
B 54926
D 54927 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(54928,portal09,4,30) } TABLE#
B 54927,1 Attribute
B 54928,32,8 Graphic data
B 54960,4 Location (x=12, y=13)
D 54964 The next 8 bytes define the item graphic. #UDGTABLE { #UDG54964,3(item09) } TABLE#
B 54964,8 Item graphic data
D 54972 The next two bytes define the initial air supply in the cavern.
B 54972 Air
D 54974 The next 28 bytes define the horizontal guardians.
B 54974,7 Horizontal guardian 1
B 54981,7 Horizontal guardian 2
B 54988,7 Horizontal guardian 3
B 54995,7 Horizontal guardian 4
B 55002,3,16 Unused
D 55005 There are no vertical guardians in this room.
B 55005,1 Terminator
B 55006,34,16 Unused
D 55040 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(55040,the_endorian_forest_guardian0,4) | #CALL:graphic(55072,the_endorian_forest_guardian1,4) | #CALL:graphic(55104,the_endorian_forest_guardian2,4) | #CALL:graphic(55136,the_endorian_forest_guardian3,4) | #CALL:graphic(55168,the_endorian_forest_guardian4,4) | #CALL:graphic(55200,the_endorian_forest_guardian5,4) | #CALL:graphic(55232,the_endorian_forest_guardian6,4) | #CALL:graphic(55264,the_endorian_forest_guardian7,4) } TABLE#
B 55040,256,16
b 55296 Attack of the Mutant Telephones
D 55296 #UDGTABLE { #CALL:cavern(55296) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 55296,512,16 Attributes
D 55808 The next 32 bytes contain the cavern name.
T 55808,32 Cavern name
D 55840 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG55841,0(background_10) | #UDG55850,65(floor_10) | #UDG55859,1(crumbling_floor_10) | #UDG55868,14(wall_10) | #UDG55877,6(conveyor_10) | #UDG55886,70(nasty1_10) | #UDG55895,66(nasty2_10) | #UDG55904,69(spare_10) } TABLE#
B 55840,9,9 Background
B 55849,9,9 Floor
B 55858,9,9 Crumbling floor
B 55867,9,9 Wall
B 55876,9,9 Conveyor
B 55885,9,9 Nasty 1
B 55894,9,9 Nasty 2
B 55903,9,9 Spare
D 55912 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 55912 Pixel y-coordinate * 2
B 55913 Sprite
B 55914 Direction
B 55915 Jump flag
B 55916 Coordinates
B 55918 Distance jumped
D 55919 The next 4 bytes define the direction, location and length of the conveyor.
B 55919 Conveyor direction (left), location (x=5, y=8) and length (2)
D 55923 The next byte specifies the border colour.
B 55923 Border colour
B 55924 Unused
D 55925 The next 25 bytes specify the colour and location of the items in the cavern.
B 55925,5 Item 1
B 55930,5 Item 2
B 55935,5 Item 3
B 55940,5 Item 4
B 55945,5 Item 5
B 55950
D 55951 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(55952,portal10,4,86) } TABLE#
B 55951,1 Attribute
B 55952,32,8 Graphic data
B 55984,4 Location (x=1, y=1)
D 55988 The next 8 bytes define the item graphic. #UDGTABLE { #UDG55988,3(item10) } TABLE#
B 55988,8 Item graphic data
D 55996 The next two bytes define the initial air supply in the cavern.
B 55996 Air
D 55998 The next 21 bytes define the horizontal guardians.
B 55998,7 Horizontal guardian 1
B 56005,7 Horizontal guardian 2
B 56012,7 Horizontal guardian 3
B 56019,1 Terminator
B 56020,9,16 Unused
D 56029 The next 28 bytes define the vertical guardians.
B 56029,7 Vertical guardian 1
B 56036,7 Vertical guardian 2
B 56043,7 Vertical guardian 3
B 56050,7 Vertical guardian 4
B 56057,7,16 Unused
D 56064 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(56064,attack_of_the_mutant_telephones_guardian0,4) | #CALL:graphic(56096,attack_of_the_mutant_telephones_guardian1,4) | #CALL:graphic(56128,attack_of_the_mutant_telephones_guardian2,4) | #CALL:graphic(56160,attack_of_the_mutant_telephones_guardian3,4) | #CALL:graphic(56192,attack_of_the_mutant_telephones_guardian4,4) | #CALL:graphic(56224,attack_of_the_mutant_telephones_guardian5,4) | #CALL:graphic(56256,attack_of_the_mutant_telephones_guardian6,4) | #CALL:graphic(56288,attack_of_the_mutant_telephones_guardian7,4) } TABLE#
B 56064,256,16
b 56320 Return of the Alien Kong Beast
D 56320 #UDGTABLE { #CALL:cavern(56320) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 56320,512,16 Attributes
D 56832 The next 32 bytes contain the cavern name.
T 56832,32 Cavern name
D 56864 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG56865,0(background_11) | #UDG56874,67(floor_11) | #UDG56883,3(crumbling_floor_11) | #UDG56892,101(wall_11) | #UDG56901,70(conveyor_11) | #UDG56910,4(nasty1_11) | #UDG56919,5(nasty2_11) | #UDG56928,6(spare_11) } TABLE#
B 56864,9,9 Background
B 56873,9,9 Floor
B 56882,9,9 Crumbling floor
B 56891,9,9 Wall
B 56900,9,9 Conveyor
B 56909,9,9 Nasty 1
B 56918,9,9 Nasty 2
B 56927,9,9 Spare
D 56936 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 56936 Pixel y-coordinate * 2
B 56937 Sprite
B 56938 Direction
B 56939 Jump flag
B 56940 Coordinates
B 56942 Distance jumped
D 56943 The next 4 bytes define the direction, location and length of the conveyor.
B 56943 Conveyor direction (right), location (x=18, y=8) and length (11)
D 56947 The next byte specifies the border colour.
B 56947 Border colour
B 56948 Unused
D 56949 The next 25 bytes specify the colour and location of the items in the cavern.
B 56949,5 Item 1
B 56954,5 Item 2
B 56959,5 Item 3
B 56964,5 Item 4
B 56969,5 Item 5
B 56974
D 56975 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(56976,portal11,4,94) } TABLE#
B 56975,1 Attribute
B 56976,32,8 Graphic data
B 57008,4 Location (x=15, y=13)
D 57012 The next 8 bytes define the item graphic. #UDGTABLE { #UDG57012,3(item11) } TABLE#
B 57012,8 Item graphic data
D 57020 The next two bytes define the initial air supply in the cavern.
B 57020 Air
D 57022 The next 28 bytes define the horizontal guardians.
B 57022,7 Horizontal guardian 1
B 57029,7 Horizontal guardian 2
B 57036,7 Horizontal guardian 3 (unused)
B 57043,7 Horizontal guardian 4
B 57050,3,16 Unused
D 57053 There are no vertical guardians in this room.
B 57053,1 Terminator
B 57054,34,16 Unused
D 57088 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(57088,return_of_the_alien_kong_beast_guardian0,4) | #CALL:graphic(57120,return_of_the_alien_kong_beast_guardian1,4) | #CALL:graphic(57152,return_of_the_alien_kong_beast_guardian2,4) | #CALL:graphic(57184,return_of_the_alien_kong_beast_guardian3,4) | #CALL:graphic(57216,return_of_the_alien_kong_beast_guardian4,4) | #CALL:graphic(57248,return_of_the_alien_kong_beast_guardian5,4) | #CALL:graphic(57280,return_of_the_alien_kong_beast_guardian6,4) | #CALL:graphic(57312,return_of_the_alien_kong_beast_guardian7,4) } TABLE#
B 57088,256,16
b 57344 Ore Refinery
D 57344 #UDGTABLE { #CALL:cavern(57344) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 57344,512,16 Attributes
D 57856 The next 32 bytes contain the cavern name.
T 57856,32 Cavern name
D 57888 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG57889,0(background_12) | #UDG57898,5(floor_12) | #UDG57907,66(crumbling_floor_12) | #UDG57916,22(wall_12) | #UDG57925,4(conveyor_12) | #UDG57934,68(nasty1_12) | #UDG57943,69(nasty2_12) | #UDG57952,6(spare_12) } TABLE#
B 57888,9,9 Background
B 57897,9,9 Floor
B 57906,9,9 Crumbling floor (unused)
B 57915,9,9 Wall
B 57924,9,9 Conveyor
B 57933,9,9 Nasty 1 (unused)
B 57942,9,9 Nasty 2 (unused)
B 57951,9,9 Spare
D 57960 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 57960 Pixel y-coordinate * 2
B 57961 Sprite
B 57962 Direction
B 57963 Jump flag
B 57964 Coordinates
B 57966 Distance jumped
D 57967 The next 4 bytes define the direction, location and length of the conveyor.
B 57967 Conveyor direction (right), location (x=3, y=8) and length (26)
D 57971 The next byte specifies the border colour.
B 57971 Border colour
B 57972 Unused
D 57973 The next 25 bytes specify the colour and location of the items in the cavern.
B 57973,5 Item 1
B 57978,5 Item 2
B 57983,5 Item 3
B 57988,5 Item 4
B 57993,5 Item 5
B 57998
D 57999 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(58000,portal12,4,79) } TABLE#
B 57999,1 Attribute
B 58000,32,8 Graphic data
B 58032,4 Location (x=1, y=13)
D 58036 The next 8 bytes define the item graphic. #UDGTABLE { #UDG58036,3(item12) } TABLE#
B 58036,8 Item graphic data
D 58044 The next two bytes define the initial air supply in the cavern.
B 58044 Air
D 58046 The next 28 bytes define the horizontal guardians.
B 58046,7 Horizontal guardian 1
B 58053,7 Horizontal guardian 2
B 58060,7 Horizontal guardian 3
B 58067,7 Horizontal guardian 4
B 58074,3,16 Unused
D 58077 The next 7 bytes define the vertical guardian.
B 58077,7 Vertical guardian
B 58084,1 Terminator
B 58085,27,16 Unused
D 58112 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(58112,ore_refinery_guardian0,4) | #CALL:graphic(58144,ore_refinery_guardian1,4) | #CALL:graphic(58176,ore_refinery_guardian2,4) | #CALL:graphic(58208,ore_refinery_guardian3,4) | #CALL:graphic(58240,ore_refinery_guardian4,4) | #CALL:graphic(58272,ore_refinery_guardian5,4) | #CALL:graphic(58304,ore_refinery_guardian6,4) | #CALL:graphic(58336,ore_refinery_guardian7,4) } TABLE#
B 58112,256,16
b 58368 Skylab Landing Bay
D 58368 #UDGTABLE { #CALL:cavern(58368) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 58368,512,16 Attributes
D 58880 The next 32 bytes contain the cavern name.
T 58880,32 Cavern name
D 58912 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG58913,8(background_13) | #UDG58922,76(floor_13) | #UDG58931,2(crumbling_floor_13) | #UDG58940,104(wall_13) | #UDG58949,75(conveyor_13) | #UDG58958,0(nasty1_13) | #UDG58967,0(nasty2_13) | #UDG58976,12(spare_13) } TABLE#
B 58912,9,9 Background
B 58921,9,9 Floor
B 58930,9,9 Crumbling floor (unused)
B 58939,9,9 Wall
B 58948,9,9 Conveyor
B 58957,9,9 Nasty 1 (unused)
B 58966,9,9 Nasty 2 (unused)
B 58975,9,9 Spare
D 58984 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 58984 Pixel y-coordinate * 2
B 58985 Sprite
B 58986 Direction
B 58987 Jump flag
B 58988 Coordinates
B 58990 Distance jumped
D 58991 The next 4 bytes define the direction, location and length of the conveyor.
B 58991 Conveyor direction (left), location (x=15, y=8) and length (6)
D 58995 The next byte specifies the border colour.
B 58995 Border colour
B 58996 Unused
D 58997 The next 25 bytes specify the colour and location of the items in the cavern.
B 58997,5 Item 1
B 59002,5 Item 2
B 59007,5 Item 3
B 59012,5 Item 4
B 59017,5 Item 5 (unused)
B 59022
D 59023 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(59024,portal13,4,30) } TABLE#
B 59023,1 Attribute
B 59024,32,8 Graphic data
B 59056,4 Location (x=15, y=0)
D 59060 The next 8 bytes define the item graphic. #UDGTABLE { #UDG59060,11(item13) } TABLE#
B 59060,8 Item graphic data
D 59068 The next two bytes define the initial air supply in the cavern.
B 59068 Air
D 59070 There are no horizontal guardians in this room.
B 59070,1 Terminator
B 59071,30,16 Unused
D 59101 The next 21 bytes define the vertical guardians.
B 59101,7 Vertical guardian 1
B 59108,7 Vertical guardian 2
B 59115,7 Vertical guardian 3
B 59122,1 Terminator
B 59123,13,16 Unused
D 59136 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(59136,skylab_landing_bay_guardian0,4) | #CALL:graphic(59168,skylab_landing_bay_guardian1,4) | #CALL:graphic(59200,skylab_landing_bay_guardian2,4) | #CALL:graphic(59232,skylab_landing_bay_guardian3,4) | #CALL:graphic(59264,skylab_landing_bay_guardian4,4) | #CALL:graphic(59296,skylab_landing_bay_guardian5,4) | #CALL:graphic(59328,skylab_landing_bay_guardian6,4) | #CALL:graphic(59360,skylab_landing_bay_guardian7,4) } TABLE#
B 59136,256,16
b 59392 The Bank
D 59392 #UDGTABLE { #CALL:cavern(59392) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 59392,512,16 Attributes
D 59904 The next 32 bytes contain the cavern name.
T 59904,32 Cavern name
D 59936 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG59937,0(background_14) | #UDG59946,65(floor_14) | #UDG59955,1(crumbling_floor_14) | #UDG59964,14(wall_14) | #UDG59973,69(conveyor_14) | #UDG59982,70(nasty1_14) | #UDG59991,66(nasty2_14) | #UDG60000,6(spare_14) } TABLE#
B 59936,9,9 Background
B 59945,9,9 Floor
B 59954,9,9 Crumbling floor
B 59963,9,9 Wall
B 59972,9,9 Conveyor
B 59981,9,9 Nasty 1
B 59990,9,9 Nasty 2
B 59999,9,9 Spare
D 60008 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 60008 Pixel y-coordinate * 2
B 60009 Sprite
B 60010 Direction
B 60011 Jump flag
B 60012 Coordinates
B 60014 Distance jumped
D 60015 The next 4 bytes define the direction, location and length of the conveyor.
B 60015 Conveyor direction (left), location (x=8, y=0) and length (16)
D 60019 The next byte specifies the border colour.
B 60019 Border colour
B 60020 Unused
D 60021 The next 25 bytes specify the colour and location of the items in the cavern.
B 60021,5 Item 1
B 60026,5 Item 2
B 60031,5 Item 3
B 60036,5 Item 4 (unused)
B 60041,5 Item 5 (unused)
B 60046
D 60047 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(60048,portal14,4,86) } TABLE#
B 60047,1 Attribute
B 60048,32,8 Graphic data
B 60080,4 Location (x=1, y=3)
D 60084 The next 8 bytes define the item graphic. #UDGTABLE { #UDG60084,3(item14) } TABLE#
B 60084,8 Item graphic data
D 60092 The next two bytes define the initial air supply in the cavern.
B 60092 Air
D 60094 The next 28 bytes define the horizontal guardians.
B 60094,7 Horizontal guardian 1
B 60101,7 Horizontal guardian 2 (unused)
B 60108,7 Horizontal guardian 3 (unused)
B 60115,7 Horizontal guardian 4 (unused)
B 60122,3,16 Unused
D 60125 The next 21 bytes define the vertical guardians.
B 60125,7 Vertical guardian 1
B 60132,7 Vertical guardian 2
B 60139,7 Vertical guardian 3
B 60146,1 Terminator
B 60147,13,16 Unused
D 60160 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(60160,the_bank_guardian0,4) | #CALL:graphic(60192,the_bank_guardian1,4) | #CALL:graphic(60224,the_bank_guardian2,4) | #CALL:graphic(60256,the_bank_guardian3,4) | #CALL:graphic(60288,the_bank_guardian4,4) | #CALL:graphic(60320,the_bank_guardian5,4) | #CALL:graphic(60352,the_bank_guardian6,4) | #CALL:graphic(60384,the_bank_guardian7,4) } TABLE#
B 60160,256,16
b 60416 The Sixteenth Cavern
D 60416 #UDGTABLE { #CALL:cavern(60416) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 60416,512,16 Attributes
D 60928 The next 32 bytes contain the cavern name.
T 60928,32 Cavern name
D 60960 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG60961,0(background_15) | #UDG60970,66(floor_15) | #UDG60979,2(crumbling_floor_15) | #UDG60988,101(wall_15) | #UDG60997,70(conveyor_15) | #UDG61006,4(nasty1_15) | #UDG61015,5(nasty2_15) | #UDG61024,6(spare_15) } TABLE#
B 60960,9,9 Background
B 60969,9,9 Floor
B 60978,9,9 Crumbling floor
B 60987,9,9 Wall
B 60996,9,9 Conveyor
B 61005,9,9 Nasty 1
B 61014,9,9 Nasty 2 (unused)
B 61023,9,9 Spare (unused)
D 61032 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 61032 Pixel y-coordinate * 2
B 61033 Sprite
B 61034 Direction
B 61035 Jump flag
B 61036 Coordinates
B 61038 Distance jumped
D 61039 The next 4 bytes define the direction, location and length of the conveyor.
B 61039 Conveyor direction (left), location (x=3, y=8) and length (24)
D 61043 The next byte specifies the border colour.
B 61043 Border colour
B 61044 Unused
D 61045 The next 25 bytes specify the colour and location of the items in the cavern.
B 61045,5 Item 1
B 61050,5 Item 2
B 61055,5 Item 3
B 61060,5 Item 4
B 61065,5 Item 5 (unused)
B 61070
D 61071 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(61072,portal15,4,94) } TABLE#
B 61071,1 Attribute
B 61072,32,8 Graphic data
B 61104,4 Location (x=12, y=5)
D 61108 The next 8 bytes define the item graphic. #UDGTABLE { #UDG61108,3(item15) } TABLE#
B 61108,8 Item graphic data
D 61116 The next two bytes define the initial air supply in the cavern.
B 61116 Air
D 61118 The next 28 bytes define the horizontal guardians.
B 61118,7 Horizontal guardian 1
B 61125,7 Horizontal guardian 2
B 61132,7 Horizontal guardian 3
B 61139,7 Horizontal guardian 4
B 61146,3,16 Unused
D 61149 There are no vertical guardians in this room.
B 61149,1 Terminator
B 61150,34,16 Unused
D 61184 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(61184,the_sixteenth_cavern_guardian0,4) | #CALL:graphic(61216,the_sixteenth_cavern_guardian1,4) | #CALL:graphic(61248,the_sixteenth_cavern_guardian2,4) | #CALL:graphic(61280,the_sixteenth_cavern_guardian3,4) | #CALL:graphic(61312,the_sixteenth_cavern_guardian4,4) | #CALL:graphic(61344,the_sixteenth_cavern_guardian5,4) | #CALL:graphic(61376,the_sixteenth_cavern_guardian6,4) | #CALL:graphic(61408,the_sixteenth_cavern_guardian7,4) } TABLE#
B 61184,256,16
b 61440 The Warehouse
D 61440 #UDGTABLE { #CALL:cavern(61440) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 61440,512,16 Attributes
D 61952 The next 32 bytes contain the cavern name.
T 61952,32 Cavern name
D 61984 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG61985,0(background_16) | #UDG61994,4(floor_16) | #UDG62003,68(crumbling_floor_16) | #UDG62012,22(wall_16) | #UDG62021,32(conveyor_16) | #UDG62030,6(nasty1_16) | #UDG62039,33(nasty2_16) | #UDG62048,0(spare_16) } TABLE#
B 61984,9,9 Background
B 61993,9,9 Floor
B 62002,9,9 Crumbling floor
B 62011,9,9 Wall
B 62020,9,9 Conveyor
B 62029,9,9 Nasty 1
B 62038,9,9 Nasty 2
B 62047,9,9 Spare (unused)
D 62056 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 62056 Pixel y-coordinate * 2
B 62057 Sprite
B 62058 Direction
B 62059 Jump flag
B 62060 Coordinates
B 62062 Distance jumped
D 62063 The next 4 bytes define the direction, location and length of the conveyor.
B 62063 Conveyor direction (right), location (x=14, y=8) and length (5)
D 62067 The next byte specifies the border colour.
B 62067 Border colour
B 62068 Unused
D 62069 The next 25 bytes specify the colour and location of the items in the cavern.
B 62069,5 Item 1
B 62074,5 Item 2
B 62079,5 Item 3
B 62084,5 Item 4
B 62089,5 Item 5
B 62094
D 62095 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(62096,portal16,4,76) } TABLE#
B 62095,1 Attribute
B 62096,32,8 Graphic data
B 62128,4 Location (x=29, y=1)
D 62132 The next 8 bytes define the item graphic. #UDGTABLE { #UDG62132,35(item16) } TABLE#
B 62132,8 Item graphic data
D 62140 The next two bytes define the initial air supply in the cavern.
B 62140 Air
D 62142 The next 14 bytes define the horizontal guardians.
B 62142,7 Horizontal guardian 1
B 62149,7 Horizontal guardian 2
B 62156,1 Terminator
B 62157,16,16 Unused
D 62173 The next 28 bytes define the vertical guardians.
B 62173,7 Vertical guardian 1
B 62180,7 Vertical guardian 2
B 62187,7 Vertical guardian 3
B 62194,7 Vertical guardian 4
B 62201,7,16 Unused
D 62208 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(62208,the_warehouse_guardian0,4) | #CALL:graphic(62240,the_warehouse_guardian1,4) | #CALL:graphic(62272,the_warehouse_guardian2,4) | #CALL:graphic(62304,the_warehouse_guardian3,4) | #CALL:graphic(62336,the_warehouse_guardian4,4) | #CALL:graphic(62368,the_warehouse_guardian5,4) | #CALL:graphic(62400,the_warehouse_guardian6,4) | #CALL:graphic(62432,the_warehouse_guardian7,4) } TABLE#
B 62208,256,16
b 62464 Amoebatrons' Revenge
D 62464 #UDGTABLE { #CALL:cavern(62464) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 62464,512,16 Attributes
D 62976 The next 32 bytes contain the cavern name.
T 62976,32 Cavern name
D 63008 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG63009,0(background_17) | #UDG63018,66(floor_17) | #UDG63027,2(crumbling_floor_17) | #UDG63036,22(wall_17) | #UDG63045,4(conveyor_17) | #UDG63054,68(nasty1_17) | #UDG63063,5(nasty2_17) | #UDG63072,0(spare_17) } TABLE#
B 63008,9,9 Background
B 63017,9,9 Floor
B 63026,9,9 Crumbling floor (unused)
B 63035,9,9 Wall
B 63044,9,9 Conveyor (unused)
B 63053,9,9 Nasty 1 (unused)
B 63062,9,9 Nasty 2 (unused)
B 63071,9,9 Spare (unused)
D 63080 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 63080 Pixel y-coordinate * 2
B 63081 Sprite
B 63082 Direction
B 63083 Jump flag
B 63084 Coordinates
B 63086 Distance jumped
D 63087 The next 4 bytes define the direction, location and length of the conveyor.
B 63087 Conveyor direction (right), location (x=7, y=8) and length (3)
D 63091 The next byte specifies the border colour.
B 63091 Border colour
B 63092 Unused
D 63093 The next 25 bytes specify the colour and location of the items in the cavern.
B 63093,5 Item 1
B 63098,5 Item 2 (unused)
B 63103,5 Item 3 (unused)
B 63108,5 Item 4 (unused)
B 63113,5 Item 5 (unused)
B 63118
D 63119 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(63120,portal17,4,14) } TABLE#
B 63119,1 Attribute
B 63120,32,8 Graphic data
B 63152,4 Location (x=29, y=0)
D 63156 The next 8 bytes define the item graphic. #UDGTABLE { #UDG63156,3(item17) } TABLE#
B 63156,8 Item graphic data
D 63164 The next two bytes define the initial air supply in the cavern.
B 63164 Air
D 63166 The next 28 bytes define the horizontal guardians.
B 63166,7 Horizontal guardian 1
B 63173,7 Horizontal guardian 2
B 63180,7 Horizontal guardian 3
B 63187,7 Horizontal guardian 4
B 63194,3,16 Unused
D 63197 The next 28 bytes define the vertical guardians.
B 63197,7 Vertical guardian 1
B 63204,7 Vertical guardian 2
B 63211,7 Vertical guardian 3
B 63218,7 Vertical guardian 4
B 63225,7,16 Unused
D 63232 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(63232,amoebatrons'_revenge_guardian0,4) | #CALL:graphic(63264,amoebatrons'_revenge_guardian1,4) | #CALL:graphic(63296,amoebatrons'_revenge_guardian2,4) | #CALL:graphic(63328,amoebatrons'_revenge_guardian3,4) | #CALL:graphic(63360,amoebatrons'_revenge_guardian4,4) | #CALL:graphic(63392,amoebatrons'_revenge_guardian5,4) | #CALL:graphic(63424,amoebatrons'_revenge_guardian6,4) | #CALL:graphic(63456,amoebatrons'_revenge_guardian7,4) } TABLE#
B 63232,256,16
b 63488 Solar Power Generator
D 63488 #UDGTABLE { #CALL:cavern(63488) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 63488,512,16 Attributes
D 64000 The next 32 bytes contain the cavern name.
T 64000,32 Cavern name
D 64032 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG64033,36(background_18) | #UDG64042,32(floor_18) | #UDG64051,2(crumbling_floor_18) | #UDG64060,22(wall_18) | #UDG64069,38(conveyor_18) | #UDG64078,68(nasty1_18) | #UDG64087,5(nasty2_18) | #UDG64096,0(spare_18) } TABLE#
B 64032,9,9 Background
B 64041,9,9 Floor
B 64050,9,9 Crumbling floor (unused)
B 64059,9,9 Wall
B 64068,9,9 Conveyor
B 64077,9,9 Nasty 1 (unused)
B 64086,9,9 Nasty 2 (unused)
B 64095,9,9 Spare (unused)
D 64104 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 64104 Pixel y-coordinate * 2
B 64105 Sprite
B 64106 Direction
B 64107 Jump flag
B 64108 Coordinates
B 64110 Distance jumped
D 64111 The next 4 bytes define the direction, location and length of the conveyor.
B 64111 Conveyor direction (left), location (x=7, y=8) and length (4)
D 64115 The next byte specifies the border colour.
B 64115 Border colour
B 64116 Unused
D 64117 The next 25 bytes specify the colour and location of the items in the cavern.
B 64117,5 Item 1
B 64122,5 Item 2
B 64127,5 Item 3
B 64132,5 Item 4 (unused)
B 64137,5 Item 5 (unused)
B 64142
D 64143 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(64144,portal18,4,78) } TABLE#
B 64143,1 Attribute
B 64144,32,8 Graphic data
B 64176,4 Location (x=1, y=1)
D 64180 The next 8 bytes define the item graphic. #UDGTABLE { #UDG64180,35(item18) } TABLE#
B 64180,8 Item graphic data
D 64188 The next two bytes define the initial air supply in the cavern.
B 64188 Air
D 64190 The next 28 bytes define the horizontal guardians.
B 64190,7 Horizontal guardian 1
B 64197,7 Horizontal guardian 2
B 64204,7 Horizontal guardian 3
B 64211,7 Horizontal guardian 4
B 64218,3,16 Unused
D 64221 The next 21 bytes define the vertical guardians.
B 64221,7 Vertical guardian 1
B 64228,7 Vertical guardian 2
B 64235,7 Vertical guardian 3
B 64242,1 Terminator
B 64243,13,16 Unused
D 64256 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(64256,solar_power_generator_guardian0,4) | #CALL:graphic(64288,solar_power_generator_guardian1,4) | #CALL:graphic(64320,solar_power_generator_guardian2,4) | #CALL:graphic(64352,solar_power_generator_guardian3,4) | #CALL:graphic(64384,solar_power_generator_guardian4,4) | #CALL:graphic(64416,solar_power_generator_guardian5,4) | #CALL:graphic(64448,solar_power_generator_guardian6,4) | #CALL:graphic(64480,solar_power_generator_guardian7,4) } TABLE#
B 64256,256,16
b 64512 The Final Barrier
D 64512 #UDGTABLE { #CALL:cavern(64512) } TABLE# The first 512 bytes are the attributes that define the layout of the cavern.
B 64512,512,16 Attributes
D 65024 The next 32 bytes contain the cavern name.
T 65024,32 Cavern name
D 65056 The next 72 bytes contain the attributes and graphic data for the tiles used to build the room. #UDGTABLE { #UDG65057,0(background_19) | #UDG65066,66(floor_19) | #UDG65075,2(crumbling_floor_19) | #UDG65084,38(wall_19) | #UDG65093,5(conveyor_19) | #UDG65102,68(nasty1_19) | #UDG65111,10(nasty2_19) | #UDG65120,0(spare_19) } TABLE#
B 65056,9,9 Background
B 65065,9,9 Floor
B 65074,9,9 Crumbling floor
B 65083,9,9 Wall
B 65092,9,9 Conveyor
B 65101,9,9 Nasty 1
B 65110,9,9 Nasty 2 (unused)
B 65119,9,9 Spare (unused)
D 65128 The next 7 bytes specify Miner Willy's initial location and appearance in the cavern.
B 65128 Pixel y-coordinate * 2
B 65129 Sprite
B 65130 Direction
B 65131 Jump flag
B 65132 Coordinates
B 65134 Distance jumped
D 65135 The next 4 bytes define the direction, location and length of the conveyor.
B 65135 Conveyor direction (right), location (x=1, y=8) and length (22)
D 65139 The next byte specifies the border colour.
B 65139 Border colour
B 65140 Unused
D 65141 The next 25 bytes specify the colour and location of the items in the cavern.
B 65141,5 Item 1
B 65146,5 Item 2
B 65151,5 Item 3
B 65156,5 Item 4
B 65161,5 Item 5
B 65166
D 65167 The next 37 bytes define the portal graphic and its location. #UDGTABLE { #CALL:graphic(65168,portal19,4,30) } TABLE#
B 65167,1 Attribute
B 65168,32,8 Graphic data
B 65200,4 Location (x=19, y=5)
D 65204 The next 8 bytes define the item graphic. #UDGTABLE { #UDG65204,3(item19) } TABLE#
B 65204,8 Item graphic data
D 65212 The next two bytes define the initial air supply in the cavern.
B 65212 Air
D 65214 The next 7 bytes define the horizontal guardian.
B 65214,7 Horizontal guardian
B 65221,1 Terminator
B 65222,23,16 Unused
D 65245 The next 7 bytes define the vertical guardian.
B 65245,7 Vertical guardian
B 65252,1 Terminator
B 65253,27,16 Unused
D 65280 The next 256 bytes are guardian graphic data. #UDGTABLE { #CALL:graphic(65280,the_final_barrier_guardian0,4) | #CALL:graphic(65312,the_final_barrier_guardian1,4) | #CALL:graphic(65344,the_final_barrier_guardian2,4) | #CALL:graphic(65376,the_final_barrier_guardian3,4) | #CALL:graphic(65408,the_final_barrier_guardian4,4) | #CALL:graphic(65440,the_final_barrier_guardian5,4) | #CALL:graphic(65472,the_final_barrier_guardian6,4) | #CALL:graphic(65504,the_final_barrier_guardian7,4) } TABLE#
B 65280,256,16
